Introdução

Esta documentação serve para fornecer todas as informações de que você precisa para trabalhar com a API da Apresenta.me.

Autenticando Requisições

Para autenticar as requisições, inclua um cabeçalho Authorization com o valor "Bearer {YOUR_AUTH_KEY}".

Todos os recursos de API que necessitam de autenticação, estarão marcados com o selo requires authentication na documentação abaixo.

Rate Limit

Nossa API limita as requisições por minuto, caso você atinja esse limite, você receberá um retorno de erro com a mensagem Too Many Attempts.. Você pode checar quanto tempo em segundos é necessário aguardar lendo a header Retry-After.

Consultas e Manipulação de Dados

Nesta seção, você aprenderá como utilizar os parâmetros de busca e filtros disponíveis na API para personalizar e refinar os resultados retornados. Essas funcionalidades permitem localizar de maneira eficiente dados específicos, aplicando critérios de pesquisa detalhados.

A API oferece suporte a filtros por campos específicos, operadores condicionais (como igualdade, maior/menor que, entre outros), e consultas de texto. Combinando múltiplos filtros, é possível realizar pesquisas avançadas para obter apenas os dados relevantes ao seu contexto.

Além disso, será explicado como trazer relacionamentos nas buscas, permitindo que você inclua dados relacionados em suas consultas, como informações associadas a modelos vinculados. Isso possibilita a recuperação de informações completas e otimizadas, sem a necessidade de múltiplas requisições.

Nos exemplos a seguir, você encontrará instruções sobre como estruturar as requisições, os parâmetros suportados e como manipular relacionamentos para enriquecer as respostas da API.

Buscas

A API oferece a possibilidade de retornar apenas os campos que você deseja, utilizando o parâmetro fields. Dessa forma, você pode limitar os dados recebidos, otimizando a performance e o volume de informações trafegadas. Para especificar os campos que deseja, basta utilizar o parâmetro fields na URL da requisição.

Por exemplo: {API_URL}?fields=id,name,phone,email

No exemplo acima, a resposta incluirá apenas os campos id, name, phone e email do recurso solicitado.

Relacionamentos

Além de buscar campos específicos, você pode trazer dados de relacionamentos associados a um recurso, utilizando o parâmetro include. Isso é útil quando você precisa de informações vinculadas a outros modelos na mesma consulta.

Por exemplo, se você deseja trazer os detalhes de uma origem (origin_id) associado a um recurso, pode fazer da seguinte forma: {API_URL}?fields=id,name,phone,email&include[origin]=id,description,created_at

Aqui, a resposta incluirá os campos id, name, phone, email do recurso principal, e também os campos id, description, e created_at do relacionamento origin.

É importante ressaltar que os relacionamentos diretos, não exigem que seja retornado a chave do relacionamento, mas para relacionamentos mais internos, é imprescindível o retorno da chave do relacionamento para seja retornado pela API as informações conforme solicitadas. Veja os exemplos abaixo:

Imagine que você queira retornar apenas os campos: código interno, nome e o código e título do imóvel relacionado ao Lead, a URL da sua requisição ficaria algo como:

{API_URL}/persons/leads?fields=id,name&include[building]=id,title

Note que não foi necessário informar junto no parâmetro fields o campo building_id, mas caso você queira retornar os dados bairro desse imóvel por exemplo, você teria que informar a chave do relacionamento district_id entre o imóvel e bairro, pois a informação bairro. Veja como ficaria nesse caso:

{API_URL}/persons/leads?fields=id,name&include[building]=id,title,district_id&include[building.district]=id,name

Descrição: Este endpoint retorna informações sobre leads, incluindo detalhes do imóvel (building) e do bairro (district).

Comportamento: Se o parâmetro district_id não for informado na inclusão do relacionamento building, o retorno do relacionamento building.district será vazio, pois a API não consegue identificar a chave do relacionamento, que é o district_id.

Outra forma de realizar a busca dessas informações do bairro do imóvel:

{API_URL}/persons/leads?fields=id,name,building_id&include[building.district]=id,name

Descrição: Este endpoint busca informações sobre leads e permite incluir diretamente o relacionamento building.district sem a necessidade de incluir previamente building.

Comportamento: Ao chamar include[building.district], a API retorna todas as informações do building juntamente com os dados solicitados do district. Neste caso, note que é necessário trazer a informação building_id no parâmetro fields, para que a API consiga mapear os relacionamentos e retornar corretamente os dados solicitados.

Notas:

  • O uso do parâmetro include para trazer relacionamentos não depende necessariamente do uso de fields. Você pode incluir relacionamentos sem limitar os campos retornados do recurso principal.
  • Os campos e relacionamentos disponíveis para uso nas buscas e filtros serão exibidos em cada recurso da API. Cada endpoint terá sua própria lista de campos e relacionamentos que podem ser utilizados nas requisições, permitindo que você personalize as respostas conforme necessário.

Campos Customizados

Além de buscar campos específicos, você pode trazer dados de relacionamentos associados aos campos customizados, utilizando o parâmetro customFields com o valor true. Isso é útil quando você precisa de informações vinculadas em campos customizados. Os campos que forem customizados irão retornar com o prefixo _ (underline).

Para isso basta você fazer a seguinte utilização:

{API_URL}/building?customFields=true

Filtros

A API permite que você refine suas buscas utilizando parâmetros de filtro para restringir os resultados de acordo com critérios específicos. Os filtros podem ser aplicados a diversos campos e suportam diferentes operadores, como igualdade, "contém", e intervalos de datas, entre outros.

Operadores disponíveis:

  • Igual: para buscar valores exatos, utilize:
    filter[name]=Exemplo

  • Diferente: para buscar valores diferentes, você pode usar not_equal ou ne:
    filter[name|not_equal]=Exemplo ou filter[name|ne]=Exemplo

  • Menor que: para buscar valores menores que um determinado valor less ou l:
    filter[age|less]=30 ou filter[age|l]=30

  • Maior que: para buscar valores maiores que um determinado valor, você pode usar greater ou g:
    filter[age|greater]=30 ou filter[age|g]=30

  • Entre: para buscar valores em um intervalo, como datas, use o operador between ou b:
    filter[created_at|between]=2024-01-01|2024-02-01 ou filter[created_at|b]=2024-01-01|2024-02-01

  • Não Entre: para filtrar valores que não estão em um intervalo, utilize not_between ou nb:
    filter[created_at|not_between]=2024-01-01|2024-02-01

  • Nulo ou Vazio: para buscar valores que sejam nulos ou vazios, utilize empty:
    filter[gender|empty]

Esses operadores permitem que você especifique de forma flexível os critérios de filtragem nas suas requisições. Ao combinar diferentes filtros, você pode refinar ainda mais os resultados de acordo com suas necessidades. Outros operadores que podem ser utilizados: greater_or_equal/ge (maior ou igual), less_or_equal/le (menor ou igual), not_empty (não nulo ou não vazio).

Filtros Especiais

Além dos operadores de filtro padrão, o sistema oferece filtros especiais para casos comuns de uso. Estes filtros são pré-configurados para facilitar buscas frequentes.

Filtros com Múltiplos Valores

Alguns filtros permitem buscar por múltiplos valores ao mesmo tempo. Por exemplo, para buscar contratos de diferentes tipos ou status, você pode usar:

/financial/contracts?filter[typeIn][]=rent&filter[typeIn][]=sale

Ou usando índices:

/financial/contracts?filter[typeIn][0]=rent&filter[typeIn][1]=sale

Exemplos de Uso

  1. Buscar contratos ativos:
/financial/contracts?filter[active]=active
  1. Buscar contratos por tipo (locação, venda ou temporada):
/financial/contracts?filter[typeIn][]=rent&filter[typeIn][]=sale
  1. Buscar contratos de múltiplos imóveis:
/financial/contracts?filter[buildingIn][]=1&filter[buildingIn][]=2&filter[buildingIn][]=3
  1. Buscar contratos por status de pagamento:
/financial/contracts?filter[paymentStatusIn][]=ok&filter[paymentStatusIn][]=due_5_days
  1. Buscar contratos por proprietário:
/financial/contracts?filter[ownerIn][]=1&filter[ownerIn][]=2

Observações Importantes

  • Para filtros que aceitam múltiplos valores, você pode usar qualquer uma das notações de array mostradas acima
  • Você pode combinar diferentes filtros em uma única requisição
  • A ordem dos parâmetros não importa
  • Os valores dos filtros são case-sensitive (maiúsculas e minúsculas importam)

Ordenação e Paginação de Resultados

Nesta seção, você aprenderá como utilizar recursos de ordenação e paginação para organizar e limitar os dados retornados pela API. Esses mecanismos são essenciais para otimizar a apresentação dos resultados, especialmente ao lidar com grandes volumes de informações.

Ordenando

Para ordenar os dados retornados pela API, basta utilizar o query parameter sort seguido do nome da coluna pela qual deseja ordenar. Por exemplo:

  • Para ordenar por nome, use: ?sort=nome
  • Para ordenar por data de criação, use: ?sort=data_criacao

Se quiser reverter a ordem para descendente, basta adicionar um sinal de menos antes do nome da coluna:

  • ?sort=-nome ordenará os nomes de forma decrescente.
  • ?sort=-data_criacao ordenará as datas da mais recente para a mais antiga.

Além disso, é possível combinar múltiplas colunas para uma ordenação mais complexa. Para isso, você pode separar os nomes das colunas com vírgulas. Por exemplo:

  • Para ordenar primeiro por nome e depois por data de criação, use: ?sort=nome,data_criacao
  • Para ordenar por data de criação de forma decrescente e, em seguida, por nome de forma ascendente, use: ?sort=-data_criacao,nome

Dessa forma, você tem total controle sobre a organização dos resultados retornados pela API.

Paginando

Nosso sistema implementa um padrão de retorno para as buscas que inclui informações sobre a paginação. O retorno terá a seguinte estrutura:

{
    "return": true,
    "status": 200,
    "current_page": 1,
    "first_page_url": "/?page=1",
    "next_page_url": "/?page=2",
    "path": "/",
    "per_page": 10,
    "prev_page_url": null,
    "from": 1,
    "to": 10,
    "data": [
        // Retorno das informações
    ]
}

Neste exemplo, você pode observar os seguintes campos importantes:

  • current_page: a página atual que está sendo exibida.
  • first_page_url: URL para a primeira página.
  • next_page_url: URL para a próxima página.
  • prev_page_url: URL para a página anterior (pode ser null se você estiver na primeira página).
  • per_page: quantos itens são retornados por página.
  • from e to: intervalo de itens exibidos na página atual.

Para personalizar a quantidade de itens retornados por página, você pode usar o parâmetro de query perPage. Por exemplo:

  • Para retornar 20 itens por página, use: ?perPage=20

Além disso, você pode utilizar o parâmetro page para especificar qual página deseja acessar. Por exemplo:

  • Para acessar a segunda página, use: ?page=2

Classificação dos Imóveis

Tipos de Imóveis


Pesquisar

GET
https://api.apresenta.me/buildings/types
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,description
filter[id]
integer

ID do tipo de imóvel.

Example:
123456
filter[description]
string

Descrição do tipo de imóvel.

Example:
%Apartamento%
filter[category_id]
integer

ID da categoria do tipo de imóvel.

Example:
1
include[category]
string

Retorna os dados da categoria do tipo de imóvel.

Example:
id,description
include[buildings]
string

Retorna os dados dos imóveis relacionados ao tipo de imóvel.

Example:
id,title
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/types?sort=id&fields=id%2Cdescription&filter%5Bid%5D=123456&filter%5Bdescription%5D=%25Apartamento%25&filter%5Bcategory_id%5D=1&include%5Bcategory%5D=id%2Cdescription&include%5Bbuildings%5D=id%2Ctitle" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/buildings/types
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/buildings/types" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"description\": \"fazenda\",
    \"category_id\": 1
}"

Obter

GET
https://api.apresenta.me/buildings/types/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Tipo de Imóvel.

Example:
5

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,description
include[category]
string

Retorna os dados da categoria do tipo de imóvel.

Example:
id,description
include[buildings]
string

Retorna os dados dos imóveis relacionados ao tipo de imóvel.

Example:
id,title
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/types/5?sort=id&fields=id%2Cdescription&include%5Bcategory%5D=id%2Cdescription&include%5Bbuildings%5D=id%2Ctitle" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/buildings/types/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Tipo de Imóvel.

Example:
2

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/buildings/types/2" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"description\": \"Apartamento\",
    \"category_id\": 1
}"

Excluir

DELETE
https://api.apresenta.me/buildings/types/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Tipo de Imóvel.

Example:
5
Example request:
curl --request DELETE \
    "https://api.apresenta.me/buildings/types/5" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Categorias


Pesquisar

GET
https://api.apresenta.me/buildings/categories
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,description
filter[id]
integer

ID da categoria.

Example:
1
filter[description]
string

Descrição da categoria.

Example:
Rural
filter[color]
string

Cor da categoria.

Example:
0000FF
include[types]
string

Retorna todos os tipos de imóveis relacionados à categoria.

Example:
id,description
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/categories?sort=id&fields=id%2Cdescription&filter%5Bid%5D=1&filter%5Bdescription%5D=Rural&filter%5Bcolor%5D=0000FF&include%5Btypes%5D=id%2Cdescription" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/buildings/categories
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/buildings/categories" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"description\": \"Rural\",
    \"color\": \"0000FF\"
}"

Obter

GET
https://api.apresenta.me/buildings/categories/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da categoria.

Example:
12

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,description
include[types]
string

Retorna todos os tipos de imóveis relacionados à categoria.

Example:
id,description
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/categories/12?sort=id&fields=id%2Cdescription&include%5Btypes%5D=id%2Cdescription" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/buildings/categories/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da categoria.

Example:
11

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/buildings/categories/11" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"description\": \"Rural\",
    \"color\": \"0000FF\"
}"

Excluir

DELETE
https://api.apresenta.me/buildings/categories/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da categoria.

Example:
15
Example request:
curl --request DELETE \
    "https://api.apresenta.me/buildings/categories/15" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Condomínios

Excluir grupo do condomínio

DELETE
https://api.apresenta.me/condominiums/groups/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Grupo do Condomínio

Example:
20
Example request:
curl --request DELETE \
    "https://api.apresenta.me/condominiums/groups/20" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Pesquisar

GET
https://api.apresenta.me/condominiums
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros.

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta.

Example:
id,id2,title
filter[id]
integer

ID do condomínio.

Example:
5
filter[id2]
integer

ID visível do condomínio.

Example:
8
filter[mode]
string

Modo (condomínio ou lançamento).

Example:
release
filter[status]
string

Status.

Example:
active
filter[lock]
string

Status.

Example:
active
filter[type_id]
integer

ID da Subcategoria/Tipo do condomínio.

Example:
6
filter[stage_id]
integer

ID do estágio.

Example:
12
filter[country_id]
integer

ID do País.

Example:
7
filter[state_id]
integer

ID do estado.

Example:
15
filter[city_id]
integer

ID da cidade.

Example:
17
filter[district_id]
integer

ID do bairro

Example:
2
filter[tag]
integer[]

Tags.

Example:
[13,11,12]
filter[responsible]
integer[]

Corretores responsáveis.

Example:
[123,132]
filter[constructor_id]
integer

ID da construtora.

Example:
13
filter[access]
string

Tipo de Acesso.

Example:
all
filter[pickup]
integer[]

Corretores captadores.

Example:
[1123,1322]
filter[slug]
string

Link permanente para site.

Example:
exemplo-perma-link
filter[updated_by]
integer

ID do usuário que atualizou.

Example:
9
filter[created_by]
integer

ID do usuário que cadastrou.

Example:
7
filter[principal_media]
string

Mídia principal.

Example:
aspernatur
filter[built_year]
integer

Ano de construção.

Example:
20
filter[total_floors]
integer

Quantidade de andares.

Example:
12
filter[total_by_floor]
integer

Quantidade de unidades por andar.

Example:
8
filter[blocks]
integer

Quantidade de Blocos do condomínio.

Example:
14
filter[title]
string

Titulo do condomínio.

Example:
Título Exemplar
filter[content]
string

HTML do conteúdo da descrição.

Example:
<p>Condomínio de frente para o mar...</p>
filter[lock_description]
string

Motivo do bloqueio.

Example:
Bloqueado para atualização
filter[street]
string

Rua do condomínio.

Example:
Rua Guanabara
filter[number]
integer

número do condomínio

Example:
12
filter[complement]
string

Complemento do condomínio.

Example:
Apartamento
filter[zip_code]
integer

CEP do condomínio.

Example:
3
filter[notes]
string

Observações.

Example:
vitae
filter[html_title]
string

Título da página (HTML title).

Example:
SEO Título
filter[html_keyword]
string

Palavras Chave (HTML Keyword).

Example:
condomínio,grupo,venda
filter[html_description]
string

descrição SEO.

Example:
SEO
include[buildings]
string

Imóveis do condomínio.

Example:
id,title,slug
include[purposes]
string

Finalidades do condomínio.

Example:
type,amount
include[groups]
string

Grupos do condomínio.

Example:
id,title
include[units]
string

Unidades do condomínio.

Example:
id,title
include[related]
string

Pessoas relacionadas ao condomínio.

Example:
id,title,slug
Example request:
curl --request GET \
    --get "https://api.apresenta.me/condominiums?sort=id&fields=id%2Cid2%2Ctitle&filter%5Bid%5D=5&filter%5Bid2%5D=8&filter%5Bmode%5D=release&filter%5Bstatus%5D=active&filter%5Block%5D=active&filter%5Btype_id%5D=6&filter%5Bstage_id%5D=12&filter%5Bcountry_id%5D=7&filter%5Bstate_id%5D=15&filter%5Bcity_id%5D=17&filter%5Bdistrict_id%5D=2&filter%5Btag%5D[]=13&filter%5Btag%5D[]=11&filter%5Btag%5D[]=12&filter%5Bresponsible%5D[]=123&filter%5Bresponsible%5D[]=132&filter%5Bconstructor_id%5D=13&filter%5Baccess%5D=all&filter%5Bpickup%5D[]=1123&filter%5Bpickup%5D[]=1322&filter%5Bslug%5D=exemplo-perma-link&filter%5Bupdated_by%5D=9&filter%5Bcreated_by%5D=7&filter%5Bprincipal_media%5D=aspernatur&filter%5Bbuilt_year%5D=20&filter%5Btotal_floors%5D=12&filter%5Btotal_by_floor%5D=8&filter%5Bblocks%5D=14&filter%5Btitle%5D=T%C3%ADtulo+Exemplar&filter%5Bcontent%5D=%3Cp%3ECondom%C3%ADnio+de+frente+para+o+mar...%3C%2Fp%3E&filter%5Block_description%5D=Bloqueado+para+atualiza%C3%A7%C3%A3o&filter%5Bstreet%5D=Rua+Guanabara&filter%5Bnumber%5D=12&filter%5Bcomplement%5D=Apartamento&filter%5Bzip_code%5D=3&filter%5Bnotes%5D=vitae&filter%5Bhtml_title%5D=SEO+T%C3%ADtulo&filter%5Bhtml_keyword%5D=condom%C3%ADnio%2Cgrupo%2Cvenda&filter%5Bhtml_description%5D=SEO&include%5Bbuildings%5D=id%2Ctitle%2Cslug&include%5Bpurposes%5D=type%2Camount&include%5Bgroups%5D=id%2Ctitle&include%5Bunits%5D=id%2Ctitle&include%5Brelated%5D=id%2Ctitle%2Cslug" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/condominiums
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/condominiums" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"id\": 15,
    \"id2\": 20,
    \"mode\": \"release\",
    \"status\": \"active\",
    \"lock\": \"active\",
    \"type_id\": 6,
    \"stage_id\": 15,
    \"country_id\": 12,
    \"state_id\": 18,
    \"city_id\": 2,
    \"district_id\": 10,
    \"tag\": [
        8
    ],
    \"responsible\": [
        20
    ],
    \"constructor_id\": 2,
    \"access\": \"all\",
    \"pickup\": [
        9
    ],
    \"slug\": \"exemplo-perma-link\",
    \"updated_by\": 7,
    \"created_by\": 9,
    \"principal_media\": \"voluptatem\",
    \"built_year\": 10,
    \"total_floors\": 4,
    \"total_by_floor\": 14,
    \"blocks\": 11,
    \"title\": \"Título Exemplar\",
    \"content\": \"<p>Condomínio de frente para o mar...<\\/p>\",
    \"lock_description\": \"Bloqueado para atualização\",
    \"street\": \"Rua Guanabara\",
    \"number\": 11,
    \"complement\": \"Apartamento\",
    \"zip_code\": 12,
    \"notes\": \"voluptate\",
    \"html_title\": \"SEO Título\",
    \"html_keyword\": \"in\",
    \"html_description\": \"SEO,chave\",
    \"groups\": \"[{\\\"title\\\": \\\"Grupo A\\\", \\\"status\\\": \\\"active\\\", \\\"area_total_min\\\": \\\"150,00\\\", \\\"bathroom_min\\\": \\\"1\\\", \\\"bedroom_min\\\": \\\"2\\\", \\\"room_min\\\": \\\"1\\\", \\\"suite_min\\\": \\\"1\\\", \\\"purposes\\\": [{\\\"type\\\": \\\"sale\\\", \\\"amount\\\": \\\"150000\\\", \\\"condominium\\\": \\\"5000\\\", \\\"iptu_amount\\\": \\\"1500\\\"}]}]\"
}"

Obter

GET
https://api.apresenta.me/condominiums/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do condomínio

Example:
1

Query Parameters

sort
string

Campo para ordenar os registros.

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta.

Example:
id,id2,title
include[buildings]
string

Imóveis do condomínio.

Example:
id,title,slug
include[purposes]
string

Finalidades do condomínio.

Example:
type,amount
include[groups]
string

Grupos do condomínio.

Example:
id,title
include[units]
string

Unidades do condomínio.

Example:
id,title
include[related]
string

Pessoas relacionadas ao condomínio.

Example:
id,title,slug
Example request:
curl --request GET \
    --get "https://api.apresenta.me/condominiums/1?sort=id&fields=id%2Cid2%2Ctitle&include%5Bbuildings%5D=id%2Ctitle%2Cslug&include%5Bpurposes%5D=type%2Camount&include%5Bgroups%5D=id%2Ctitle&include%5Bunits%5D=id%2Ctitle&include%5Brelated%5D=id%2Ctitle%2Cslug" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/condominiums/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Condomínio

Example:
16

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/condominiums/16" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"mode\": \"condominium\",
    \"status\": \"active\",
    \"type_id\": 8,
    \"stage_id\": 16,
    \"country_id\": 7,
    \"state_id\": 5,
    \"city_id\": 16,
    \"district_id\": 13,
    \"responsible\": [
        7
    ],
    \"constructor_id\": 2,
    \"access\": \"all\",
    \"pickup\": [
        3
    ],
    \"slug\": \"exemplo-perma-link\",
    \"updated_by\": 19,
    \"created_by\": 12,
    \"principal_media\": \"iure\",
    \"built_year\": 2021,
    \"blocks\": 2,
    \"title\": \"Título Exemplar\",
    \"street\": \"Rua Guanabara\",
    \"number\": 16,
    \"complement\": \"Apartamento\",
    \"zip_code\": 7,
    \"notes\": \"molestias\",
    \"details\": [
        1083,
        1093
    ],
    \"groups\": \"[{\\\"title\\\": \\\"Grupo A\\\", \\\"status\\\": \\\"active\\\", \\\"area_total_min\\\": \\\"150,00\\\", \\\"bathroom_min\\\": \\\"1\\\", \\\"bedroom_min\\\": \\\"2\\\", \\\"room_min\\\": \\\"1\\\", \\\"suite_min\\\": \\\"1\\\", \\\"purposes\\\": [{\\\"type\\\": \\\"sale\\\", \\\"amount\\\": \\\"150000\\\", \\\"condominium\\\": \\\"5000\\\", \\\"iptu_amount\\\": \\\"1500\\\"}]}]\"
}"

Excluir

DELETE
https://api.apresenta.me/condominiums/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do Condomínio

Example:
13
Example request:
curl --request DELETE \
    "https://api.apresenta.me/condominiums/13" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Construtoras

Pesquisar

GET
https://api.apresenta.me/buildings/constructors
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,name
filter[id]
integer

ID da construtora.

Example:
123456
filter[name]
string

Nome da construtora.

Example:
Construtora Teste
filter[state_id]
integer

Estado de atuação.

Example:
24
filter[notes]
string

Observações.

Example:
Observação
include[state]
string

Retorna os dados do Estado da construtora.

Example:
id,name,abbreviation
include[buildings]
string

Retorna os dados dos imóveis da construtora.

Example:
id,reference,title
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/constructors?sort=id&fields=id%2Cname&filter%5Bid%5D=123456&filter%5Bname%5D=Construtora+Teste&filter%5Bstate_id%5D=24&filter%5Bnotes%5D=Observa%C3%A7%C3%A3o&include%5Bstate%5D=id%2Cname%2Cabbreviation&include%5Bbuildings%5D=id%2Creference%2Ctitle" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/buildings/constructors
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/buildings/constructors" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"name\": \"Construtora Exemplo\",
    \"state_id\": 24,
    \"notes\": \"Observação\"
}"

Obter

GET
https://api.apresenta.me/buildings/constructors/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da construtora.

Example:
11

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,name
include[state]
string

Retorna os dados do Estado da construtora.

Example:
id,name,abbreviation
include[buildings]
string

Retorna os dados dos imóveis da construtora.

Example:
id,reference,title
Example request:
curl --request GET \
    --get "https://api.apresenta.me/buildings/constructors/11?sort=id&fields=id%2Cname&include%5Bstate%5D=id%2Cname%2Cabbreviation&include%5Bbuildings%5D=id%2Creference%2Ctitle" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/buildings/constructors/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da construtora

Example:
17

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/buildings/constructors/17" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"name\": \"Construtora Exemplo 2\",
    \"state_id\": 24,
    \"notes\": \"Observação\"
}"

Excluir

DELETE
https://api.apresenta.me/buildings/constructors/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da construtora.

Example:
15
Example request:
curl --request DELETE \
    "https://api.apresenta.me/buildings/constructors/15" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Equipes de Usuários

Pesquisar

GET
https://api.apresenta.me/users/teams
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,name
filter[id]
integer

Códigio da equipe de usuário.

Example:
1
filter[name]
string

Nome da equipa de usuário.

Example:
Equipe X
filter[business_id]
integer

Código da empresa.

Example:
1
filter[manager_id]
integer

Código do gerente da equipe.

Example:
1
filter[notes]
string

Observações da equipe.

Example:
Equipe para ...
include[manager]
string

Retorna os dados do gerente da equipe.

Example:
id,name
include[users]
string

Retorna os usuários integrantes da equipe.

Example:
id,name,email
include[business]
string

Retorna os dados da empresa relacionada à equipe.

Example:
id,name
Example request:
curl --request GET \
    --get "https://api.apresenta.me/users/teams?sort=id&fields=id%2Cname&filter%5Bid%5D=1&filter%5Bname%5D=Equipe+X&filter%5Bbusiness_id%5D=1&filter%5Bmanager_id%5D=1&filter%5Bnotes%5D=Equipe+para+...&include%5Bmanager%5D=id%2Cname&include%5Busers%5D=id%2Cname%2Cemail&include%5Bbusiness%5D=id%2Cname" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/users/teams
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/users/teams" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"name\": \"Vendas\",
    \"manager_id\": 1010,
    \"business_id\": 1058,
    \"notes\": \"temporibus\"
}"

Obter

GET
https://api.apresenta.me/users/teams/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da equipe

Example:
1096

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,name
include[manager]
string

Retorna os dados do gerente da equipe.

Example:
id,name
include[users]
string

Retorna os usuários integrantes da equipe.

Example:
id,name,email
include[business]
string

Retorna os dados da empresa relacionada à equipe.

Example:
id,name
Example request:
curl --request GET \
    --get "https://api.apresenta.me/users/teams/1096?sort=id&fields=id%2Cname&include%5Bmanager%5D=id%2Cname&include%5Busers%5D=id%2Cname%2Cemail&include%5Bbusiness%5D=id%2Cname" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/users/teams/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

Id da equipe

Example:
1096

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/users/teams/1096" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"name\": \"Vendas\",
    \"manager_id\": 1010,
    \"business_id\": 1058,
    \"notes\": \"voluptatem\"
}"

Excluir

DELETE
https://api.apresenta.me/users/teams/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da Equipe.

Example:
8
Example request:
curl --request DELETE \
    "https://api.apresenta.me/users/teams/8" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Eventos

Pesquisar

GET
https://api.apresenta.me/events
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id, description
filter[id]
integer

ID do Evento

Example:
2
filter[father_id]
integer

ID do Evento Pai

Example:
10
filter[recurrence_id]
integer

ID da Recorrência

Example:
5
filter[calendar_id]
integer

ID do Calendário

Example:
3
filter[title]
string

Título do Evento

Example:
Reunião mensal
filter[type]
string

Tipo do Evento. Valores permitidos:

  • task: Tarefa
  • reminder: Lembrete
  • meet: Reunião
  • visit: Visita
  • whatsapp: WhatsApp
  • email: Email
  • call: Ligação
  • inspect: Vistoria
  • maintenance: Manutenção
  • billing: Cobrança
Example:
task
filter[status]
string

Status do Evento Valores permitidos:

  • cancelled: Cancelado
  • concluded: Concluído
  • scheduled: Agendado
  • recurrent: Recorrente
  • late: Atrasado
  • five_days_late: +5 dias de atraso
  • thirty_days_late: +1 mês atrasado
Example:
scheduled
filter[guest][]
integer[]

IDs dos Convidados

Example:
1
filter[guest_group][]
integer[]

IDs dos Grupos de Convidados

Example:
2
filter[guest_access]
string

Tipo de acesso dos convidados Valores permitidos:

  • full: Acesso total
  • invite: Editar convidados
  • view: Visualizar
Example:
full
filter[tag][]
integer[]

IDs das Tags

Example:
1
filter[initial_date]
string

date Data inicial do Evento

Example:
2025-06-10
filter[final_date]
string

date Data final do Evento

Example:
2025-06-11
filter[time_zone]
string

Fuso horário Valores permitidos:

  • America/Sao_Paulo: Horário de Brasília -3:00
  • America/Noronha: Noronha -2:00
  • America/Manaus: Manaus -4:00
  • America/Rio_Branco: Rio Branco -5:00
  • Atlantic/Azores: Açores -1:00
  • America/Costa_Rica: Costa Rica -6:00
  • America/Tijuana: Tijuana -7:00
  • America/Sitka: Sitka -8:00
  • Pacific/Gambier: Gambier -9:00
  • Pacific/Honolulu: Honolulu -10:00
  • Pacific/Midway: Midway -11:00
Example:
America/Sao_Paulo
filter[created_by]
integer

ID do Criador

Example:
7
filter[building_id]
integer

ID do Imóvel

Example:
12
filter[deal_id]
integer

ID do Negócio

Example:
8
filter[contract_id]
integer

ID do contrato

Example:
123456
filter[person_id]
integer

ID da Pessoa

Example:
5
filter[invite_person]
boolean

Se convidou pessoa

Example:
1
filter[endless]
boolean

Evento sem fim

Example:
1
filter[all_day]
boolean

Evento o dia todo

Example:
1
filter[description]
string

Descrição do Evento

Example:
Discussão de metas
filter[address]
string

Endereço do Evento

Example:
Av. Paulista, 1000
filter[reminder][]
string[]

Lembretes do Evento Valores permitidos:

  • START: Ao Iniciar ao Evento
  • 5_MIN: 5 minutos antes de começar
  • 15_MIN: 5 minutos antes de começar
  • 30_MIN: 0 minutos antes de começar
  • 1_HOUR: 1 hora antes de começar
  • 2_HOUR: 2 horas antes de começar
  • 6_HOUR: 6 horas antes de começar
  • 1_DAY: 1 dia antes de começar
  • 2_DAY: 2 dias antes de começar
  • 5_DAY: 5 dias antes de começar
  • 1_WEEK: 1 semana antes de começar
  • 2_WEEK: 2 semanas antes de começar
  • 1_MONTH: 1 mês antes de começar
Example:
START
filter[private]
boolean

Evento privado

Example:
1
filter[recurrency]
string

Recorrência do Evento Valores permitidos:

  • daily: Diária
  • weekly: Semanal
  • monthly: Mensal
  • yearly: Anual
Example:
weekly
filter[accessible]
integer

Filtra eventos acessíveis pelo usuário informado

Example:
7
filter[descendant][]
integer[]

Filtra eventos descendentes do ID informado

Example:
1
filter[guestsIn][]
integer[]

Filtra eventos onde o usuário é convidado

Example:
1
filter[responsibleIn][]
integer[]

Filtra eventos onde o usuário é responsável

Example:
1
filter[userIn][]
integer[]

Filtra eventos pelo(s) usuário(s) convidado(s)

Example:
1
filter[responsibleGroupIn][]
integer[]

Filtra eventos pelo(s) grupo(s) responsável(is)

Example:
1
filter[creatorIn][]
integer[]

Filtra eventos pelo(s) criador(es)

Example:
7
filter[calendarIn][]
integer[]

Filtra eventos pelo(s) calendário(s)

Example:
3
filter[createdBetween][]
string[]

Filtra eventos pela data de criação (intervalo)

Example:
2025-06-01
filter[typeIn][]
string[]

Filtra eventos pelos tipos

filter[dateMinMax][]
string[]

Filtra eventos pela data inicial (intervalo)

Example:
2024-01-01
filter[isLate]
boolean

Filtra eventos atrasados

Example:
1
filter[isNotRecurrence]
boolean

Filtra eventos que não são recorrências

Example:
1
filter[isCancelled]
boolean

Filtra eventos cancelados

Example:
1
filter[notCancelled]
boolean

Filtra eventos não cancelados

Example:
1
filter[scheduledBetween][]
string[]

Filtra eventos agendados entre datas

Example:
2025-06-01
filter[active]
boolean

Filtra eventos ativos

Example:
1
filter[statusIn][]
string[]

Filtra eventos pelos status

Example:
scheduled
filter[statusNotIn][]
string[]

Filtra eventos excluindo status

Example:
cancelled
filter[recurrencyIn][]
string[]

Filtra eventos pela recorrência

Example:
weekly
filter[hasReminder]
boolean

Filtra eventos com lembrete

Example:
1
filter[hasAnyReminder]
boolean

Filtra eventos com qualquer lembrete

Example:
1
filter[buildingIn][]
integer[]

Filtra eventos pelo(s) imóvel(is)

Example:
1
filter[dealIn][]
integer[]

Filtra eventos pelo(s) negócio(s)

Example:
8
filter[personIn][]
integer[]

Filtra eventos pela(s) pessoa(s)

Example:
5
filter[googleId]
string

Filtra eventos pelo Google ID

Example:
abc123
filter[occurrenceBetween][]
string[]

Filtra eventos por ocorrência entre datas

Example:
2025-06-01
filter[yearBetween][]
string[]

Filtra eventos recorrentes anuais entre datas

Example:
2025-01-01
filter[monthBetween][]
string[]

Filtra eventos recorrentes mensais entre datas

Example:
2025-06-01
filter[weekBetween][]
string[]

Filtra eventos recorrentes semanais entre datas

Example:
2025-06-01
filter[dayBetween][]
string[]

Filtra eventos recorrentes diários entre datas

Example:
2025-06-01
filter[nonRecurring]
boolean

Filtra eventos não recorrentes

Example:
1
include[guests]
string

Incluir dados dos Convidados

Example:
id,name,email
include[guestGroups]
string

Incluir dados dos Grupos de Convidados

Example:
id,name,users
include[tags]
string

Incluir dados das Tags

Example:
id,name
include[creator]
string

Incluir dados do Criador

Example:
id,name,email
include[calendar]
string

Incluir dados do Calendário

Example:
id,title
include[person]
string

Incluir dados da Pessoa

Example:
id,name
include[building]
string

Incluir dados do Imóvel

Example:
id,title
include[deal]
string

Incluir dados do Negócio

Example:
id,title
include[parent]
string

Incluir dados do Evento Pai

Example:
id,title
include[childs]
string

Incluir dados dos Eventos Filhos

Example:
id,title
include[arisingFrom]
string

Incluir dados do Evento de Origem

Example:
id,title
include[recurrences]
string

Incluir dados das Recorrências

Example:
id,title
include[cancelled]
string

Incluir dados das Recorrências Canceladas

Example:
id,title
include[files]
string

Incluir arquivos anexados

Example:
id,file_name,url
include[lastFeedback]
string

Incluir último feedback

Example:
id,date,history_type_id
include[contract]
string

Incluir dados do Contrato

Example:
id,type
Example request:
curl --request GET \
    --get "https://api.apresenta.me/events?sort=id&fields=id%2C+description&filter%5Bid%5D=2&filter%5Bfather_id%5D=10&filter%5Brecurrence_id%5D=5&filter%5Bcalendar_id%5D=3&filter%5Btitle%5D=Reuni%C3%A3o+mensal&filter%5Btype%5D=task&filter%5Bstatus%5D=scheduled&filter%5Bguest%5D%5B%5D=1&filter%5Bguest_group%5D%5B%5D=2&filter%5Bguest_access%5D=full&filter%5Btag%5D%5B%5D=1&filter%5Binitial_date%5D=2025-06-10&filter%5Bfinal_date%5D=2025-06-11&filter%5Btime_zone%5D=America%2FSao_Paulo&filter%5Bcreated_by%5D=7&filter%5Bbuilding_id%5D=12&filter%5Bdeal_id%5D=8&filter%5Bcontract_id%5D=123456&filter%5Bperson_id%5D=5&filter%5Binvite_person%5D=1&filter%5Bendless%5D=1&filter%5Ball_day%5D=1&filter%5Bdescription%5D=Discuss%C3%A3o+de+metas&filter%5Baddress%5D=Av.+Paulista%2C+1000&filter%5Breminder%5D%5B%5D=START&filter%5Bprivate%5D=1&filter%5Brecurrency%5D=weekly&filter%5Baccessible%5D=7&filter%5Bdescendant%5D%5B%5D=1&filter%5BguestsIn%5D%5B%5D=1&filter%5BresponsibleIn%5D%5B%5D=1&filter%5BuserIn%5D%5B%5D=1&filter%5BresponsibleGroupIn%5D%5B%5D=1&filter%5BcreatorIn%5D%5B%5D=7&filter%5BcalendarIn%5D%5B%5D=3&filter%5BcreatedBetween%5D%5B%5D=2025-06-01&filter%5BtypeIn%5D%5B%5D=&filter%5BdateMinMax%5D%5B%5D=2024-01-01&filter%5BisLate%5D=1&filter%5BisNotRecurrence%5D=1&filter%5BisCancelled%5D=1&filter%5BnotCancelled%5D=1&filter%5BscheduledBetween%5D%5B%5D=2025-06-01&filter%5Bactive%5D=1&filter%5BstatusIn%5D%5B%5D=scheduled&filter%5BstatusNotIn%5D%5B%5D=cancelled&filter%5BrecurrencyIn%5D%5B%5D=weekly&filter%5BhasReminder%5D=1&filter%5BhasAnyReminder%5D=1&filter%5BbuildingIn%5D%5B%5D=1&filter%5BdealIn%5D%5B%5D=8&filter%5BpersonIn%5D%5B%5D=5&filter%5BgoogleId%5D=abc123&filter%5BoccurrenceBetween%5D%5B%5D=2025-06-01&filter%5ByearBetween%5D%5B%5D=2025-01-01&filter%5BmonthBetween%5D%5B%5D=2025-06-01&filter%5BweekBetween%5D%5B%5D=2025-06-01&filter%5BdayBetween%5D%5B%5D=2025-06-01&filter%5BnonRecurring%5D=1&include%5Bguests%5D=id%2Cname%2Cemail&include%5BguestGroups%5D=id%2Cname%2Cusers&include%5Btags%5D=id%2Cname&include%5Bcreator%5D=id%2Cname%2Cemail&include%5Bcalendar%5D=id%2Ctitle&include%5Bperson%5D=id%2Cname&include%5Bbuilding%5D=id%2Ctitle&include%5Bdeal%5D=id%2Ctitle&include%5Bparent%5D=id%2Ctitle&include%5Bchilds%5D=id%2Ctitle&include%5BarisingFrom%5D=id%2Ctitle&include%5Brecurrences%5D=id%2Ctitle&include%5Bcancelled%5D=id%2Ctitle&include%5Bfiles%5D=id%2Cfile_name%2Curl&include%5BlastFeedback%5D=id%2Cdate%2Chistory_type_id&include%5Bcontract%5D=id%2Ctype" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/events
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/events" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"filter[calendar_id]\": 3,
    \"filter[title]\": \"Reunião mensal\",
    \"filter[guest][]\": 1,
    \"filter[guest_group][]\": 2,
    \"filter[guest_access]\": \"full\",
    \"filter[type]\": \"task\",
    \"filter[status]\": \"scheduled\",
    \"filter[initial_date]\": \"2025-06-10\",
    \"filter[father_id]\": 10,
    \"filter[recurrence_id]\": 5,
    \"filter[tag][]\": 1,
    \"filter[final_date]\": \"2025-06-11\",
    \"filter[time_zone]\": \"America\\/Sao_Paulo\",
    \"filter[created_by]\": 7,
    \"filter[building_id]\": 12,
    \"filter[deal_id]\": 8,
    \"filter[contract_id]\": 123456,
    \"filter[person_id]\": 5,
    \"filter[invite_person]\": true,
    \"filter[endless]\": false,
    \"filter[all_day]\": true,
    \"filter[description]\": \"Discussão de metas\",
    \"filter[address]\": \"Av. Paulista, 1000\",
    \"filter[reminder][]\": \"START\",
    \"filter[private]\": false,
    \"filter[recurrency]\": \"weekly\"
}"

Obter

GET
https://api.apresenta.me/events/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

Id do ticket

Example:
16

Query Parameters

fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id, description
include[guests]
string

Incluir dados dos Convidados

Example:
id,name,email
include[guestGroups]
string

Incluir dados dos Grupos de Convidados

Example:
id,name,users
include[tags]
string

Incluir dados das Tags

Example:
id,name
include[creator]
string

Incluir dados do Criador

Example:
id,name,email
include[calendar]
string

Incluir dados do Calendário

Example:
id,title
include[person]
string

Incluir dados da Pessoa

Example:
id,name
include[building]
string

Incluir dados do Imóvel

Example:
id,title
include[deal]
string

Incluir dados do Negócio

Example:
id,title
include[parent]
string

Incluir dados do Evento Pai

Example:
id,title
include[childs]
string

Incluir dados dos Eventos Filhos

Example:
id,title
include[arisingFrom]
string

Incluir dados do Evento de Origem

Example:
id,title
include[recurrences]
string

Incluir dados das Recorrências

Example:
id,title
include[cancelled]
string

Incluir dados das Recorrências Canceladas

Example:
id,title
include[files]
string

Incluir arquivos anexados

Example:
id,file_name,url
include[lastFeedback]
string

Incluir último feedback

Example:
id,date,history_type_id
include[contract]
string

Incluir dados do Contrato

Example:
id,type
Example request:
curl --request GET \
    --get "https://api.apresenta.me/events/16?fields=id%2C+description&include%5Bguests%5D=id%2Cname%2Cemail&include%5BguestGroups%5D=id%2Cname%2Cusers&include%5Btags%5D=id%2Cname&include%5Bcreator%5D=id%2Cname%2Cemail&include%5Bcalendar%5D=id%2Ctitle&include%5Bperson%5D=id%2Cname&include%5Bbuilding%5D=id%2Ctitle&include%5Bdeal%5D=id%2Ctitle&include%5Bparent%5D=id%2Ctitle&include%5Bchilds%5D=id%2Ctitle&include%5BarisingFrom%5D=id%2Ctitle&include%5Brecurrences%5D=id%2Ctitle&include%5Bcancelled%5D=id%2Ctitle&include%5Bfiles%5D=id%2Cfile_name%2Curl&include%5BlastFeedback%5D=id%2Cdate%2Chistory_type_id&include%5Bcontract%5D=id%2Ctype" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/events/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

Id do Evento

Example:
19

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/events/19" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"filter[title]\": \"Reunião mensal\",
    \"filter[guest][]\": 1,
    \"filter[guest_group][]\": 2,
    \"filter[guest_access]\": \"full\",
    \"filter[type]\": \"task\",
    \"filter[status]\": \"scheduled\",
    \"filter[initial_date]\": \"2025-06-10\",
    \"filter[father_id]\": 10,
    \"filter[recurrence_id]\": 5,
    \"filter[tag][]\": 1,
    \"filter[final_date]\": \"2025-06-11\",
    \"filter[time_zone]\": \"America\\/Sao_Paulo\",
    \"filter[building_id]\": 12,
    \"filter[deal_id]\": 8,
    \"filter[contract_id]\": 123456,
    \"filter[person_id]\": 5,
    \"filter[invite_person]\": true,
    \"filter[endless]\": false,
    \"filter[all_day]\": true,
    \"filter[description]\": \"Discussão de metas\",
    \"filter[address]\": \"Av. Paulista, 1000\",
    \"filter[reminder][]\": \"START\",
    \"filter[private]\": false,
    \"filter[recurrency]\": \"weekly\"
}"

Excluir

DELETE
https://api.apresenta.me/events/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

Id do Evento

Example:
17
Example request:
curl --request DELETE \
    "https://api.apresenta.me/events/17" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"

Financeiro

Faturas


GET
https://api.apresenta.me/invoices/{invoice_id}/receiptLink
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

invoice_id
integer
required

ID da Fatura

Example:
16
Example request:
curl --request GET \
    --get "https://api.apresenta.me/invoices/16/receiptLink" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:

Pesquisar

GET
https://api.apresenta.me/invoices
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,type,total
filter[id]
string

ID da fatura.

Example:
1
filter[id2]
string

ID da fatura por empresa.

Example:
1
filter[type]
string

Tipo da fatura. Valores permitidos:

  • single: Avulsa
  • contract: Contrato
Example:
single
filter[payer_id]
integer

ID do pagador.

Example:
1
filter[contract_id]
integer

ID do contrato.

Example:
2
filter[business_id]
integer

ID da empresa.

Example:
3
filter[account_id]
integer

ID da conta bancária.

Example:
4
filter[billing_id]
integer

ID do método de cobrança automático.

Example:
5
filter[billing_method]
string

Método de cobrança. Valores permitidos:

  • ticket: Boleto
  • cash: Dinheiro
  • deposit: Depósito
  • pix: PIX
  • ted: DOC/TED
  • credit: Cartão de Crédito
  • debit: Cartão de Débito
  • check: Cheque
  • debit_account: Débito em Conta
Example:
pix
filter[paid]
boolean

Filtra faturas pagas.

Example:
1
filter[paid_at]
string

date Data do pagamento.

Example:
2024-01-01
filter[credit_at]
string

date Data do crédito.

Example:
2024-01-02
filter[payment_error]
boolean

Erro no pagamento.

Example:
1
filter[description]
string

Descrição da fatura.

Example:
Fatura X
filter[total]
string

Valor total da fatura.

Example:
1200
filter[date]
string

date Competência.

Example:
2024-01-01
filter[due_date]
string

date Data de vencimento.

Example:
2024-01-10
filter[guaranteed_transfer]
boolean

Repasse garantido.

Example:
1
filter[period_initial]
string

date Data de início da fatura, aluguel.

Example:
2024-01-01
filter[period_final]
string

date Data final da fatura, aluguel.

Example:
2024-01-31
filter[tag]
string[]

Tags da fatura.

Example:
[123,456,789]
filter[ticket_registered]
boolean

Boleto registrado.

filter[ticket_date]
string

date Data do boleto.

Example:
2024-01-01 00:00:00
filter[ticket_key]
string

ID da cobrança dentro do banco integrador (Asaas).

Example:
abc123
filter[ticket_id]
integer

ID do boleto.

Example:
1
filter[ticket_fee]
string

Taxa do boleto.

Example:
12.0
filter[ticket_link]
string

Link do boleto.

Example:
https://api.pjbank.com.br/boletos/823a8ee8043b3a96e2df963bead9gg63e5ea16c1
filter[ticket_barcode]
string

Código de barras do boleto .

Example:
12395828200001760000010003821587100516853008
filter[ticket_info]
string

Informações do boleto.

Example:
Este boleto...
filter[ticket_digitable]
string

Linha digitável do boleto.

Example:
12390.01007 03821.587106 05168.530086 5 82820000176000
filter[ticket_without_pix]
boolean

Boleto sem pix.

filter[ticket_late_fee]
boolean

Adicionar Multa e Juros para contratos de Locação.

Example:
1
filter[ticket_late_fee_item_id]
integer

ID do item que será aplicado a multa.

Example:
1
filter[ticket_late_fee_percentage]
integer

Multa (%).

Example:
12
filter[ticket_late_fee_interest]
integer

Juros (%).

Example:
13
filter[ticket_discount]
boolean

Adicionar Desconto de Pontualidade.

Example:
1
filter[ticket_discount_mode]
string

Modo de desconto. Valores permitidos:

  • fixed: Valor Fixo
  • percentage: Porcentagem
Example:
percentage
filter[ticket_discount_fixed]
string

Desconto (R$).

Example:
123.20
filter[ticket_discount_percentage]
string

Desconto(%).

Example:
10
filter[ticket_discount_action]
string

Ação do desconto de pontualidade. Valores permitidos:

  • business: Reter desconto para imobiliária
  • owner: Repassar desconto ao proprietário
Example:
business
filter[ticket_discount_days]
integer

Quantidade de dias antes do vencimento.

Example:
12
filter[transfer_auto_disabled]
boolean

Desativar repasse automático.

filter[protest]
string

json Protesto.

Example:
{"status":"PENDING"}
filter[ticketIdIn][]
string[]

Filtra faturas por IDs de ticket (chave do integrador).

filter[idOldIn][]
integer[]

Filtra faturas por IDs antigos (id2).

Example:
100
filter[referenceId]
string

Filtra faturas por ID de referência.

Example:
REF-001
filter[emptyProtest]
boolean

Filtra faturas sem protesto.

Example:
1
filter[protestIdIn][]
integer[]

Filtra faturas por IDs de protesto.

Example:
1
filter[unpaid]
boolean

Filtra faturas não pagas.

Example:
1
filter[overdue]
boolean

Filtra faturas vencidas.

Example:
1
filter[early]
boolean

Filtra faturas a vencer.

Example:
1
filter[contractIn][]
integer[]

Filtra faturas por IDs de contrato.

Example:
1
filter[contractIdIn][]
integer[]

Filtra faturas por IDs de contrato (id2).

filter[buildingIn][]
integer[]

Filtra faturas por IDs de imóvel.

Example:
10
filter[buildingId2In][]
integer[]

Filtra faturas por IDs de imóvel (id2).

filter[dateMin]
string

Filtra faturas por data mínima.

Example:
2024-01-01
filter[dateMax]
string

Filtra faturas por data máxima.

Example:
2024-01-31
filter[dueDateMin]
string

Filtra faturas por data de vencimento mínima.

Example:
2024-01-10
filter[businessIn][]
integer[]

Filtra faturas por IDs de empresa.

Example:
1
filter[accountIn][]
integer[]

Filtra faturas por IDs de conta financeira.

Example:
3
filter[payerIn][]
integer[]

Filtra faturas por IDs de pagador.

Example:
5
filter[ownerIn][]
integer[]

Filtra faturas por IDs de proprietário.

Example:
7
filter[tenantIn][]
integer[]

Filtra faturas por IDs de inquilino.

Example:
9
filter[registered]
boolean

Filtra faturas registradas.

Example:
1
filter[registeredOrPix]
boolean

Filtra faturas registradas ou com Pix.

Example:
1
filter[billingMethodIn][]
string[]

Filtra faturas por métodos de cobrança.

filter[tagIn][]
integer[]

Filtra faturas por tags.

Example:
100
filter[autoTransferStatus][]
string[]

Filtra faturas por status de transferência automática.

filter[periodContains]
string

Filtra faturas cujo período contém a data especificada.

Example:
2024-01-15
filter[payerTaxIdIn][]
string[]

Filtra faturas por CPF/CNPJ do pagador.

Example:
000.000.000-00
include[items]
string
Example:
dignissimos
include[itemsPayer]
string
Example:
in
include[itemsAllGroupTransfer]
string
Example:
sunt
include[itemsAll]
string
Example:
quo
include[autoTransactions]
string
Example:
velit
include[building]
string
Example:
assumenda
include[billing]
string
Example:
asperiores
include[payer]
string

Retorna os dados do pagador.

Example:
id,name,type
include[account]
string
Example:
aspernatur
include[contract]
string

Retorna os dados do contrato.

Example:
*
include[business]
string

Retorna os dados da empresa.

Example:
id,name
include[lateFeeItem]
string
Example:
eveniet
include[files]
string

Retorna os anexos da fatura.

Example:
id,name,file_name
include[tags]
string

Retorna as tags.

Example:
id,description
include[messages]
string

Retorna as mensagens referente à fatura.

Example:
id,type,Message
Example request:
curl --request GET \
    --get "https://api.apresenta.me/invoices?sort=id&fields=id%2Ctype%2Ctotal&filter%5Bid%5D=1&filter%5Bid2%5D=1&filter%5Btype%5D=single&filter%5Bpayer_id%5D=1&filter%5Bcontract_id%5D=2&filter%5Bbusiness_id%5D=3&filter%5Baccount_id%5D=4&filter%5Bbilling_id%5D=5&filter%5Bbilling_method%5D=pix&filter%5Bpaid%5D=1&filter%5Bpaid_at%5D=2024-01-01&filter%5Bcredit_at%5D=2024-01-02&filter%5Bpayment_error%5D=1&filter%5Bdescription%5D=Fatura+X&filter%5Btotal%5D=1200&filter%5Bdate%5D=2024-01-01&filter%5Bdue_date%5D=2024-01-10&filter%5Bguaranteed_transfer%5D=1&filter%5Bperiod_initial%5D=2024-01-01&filter%5Bperiod_final%5D=2024-01-31&filter%5Btag%5D[]=123&filter%5Btag%5D[]=456&filter%5Btag%5D[]=789&filter%5Bticket_registered%5D=&filter%5Bticket_date%5D=2024-01-01+00%3A00%3A00&filter%5Bticket_key%5D=abc123&filter%5Bticket_id%5D=1&filter%5Bticket_fee%5D=12.0&filter%5Bticket_link%5D=https%3A%2F%2Fapi.pjbank.com.br%2Fboletos%2F823a8ee8043b3a96e2df963bead9gg63e5ea16c1&filter%5Bticket_barcode%5D=12395828200001760000010003821587100516853008&filter%5Bticket_info%5D=Este+boleto...&filter%5Bticket_digitable%5D=12390.01007+03821.587106+05168.530086+5+82820000176000&filter%5Bticket_without_pix%5D=&filter%5Bticket_late_fee%5D=1&filter%5Bticket_late_fee_item_id%5D=1&filter%5Bticket_late_fee_percentage%5D=12&filter%5Bticket_late_fee_interest%5D=13&filter%5Bticket_discount%5D=1&filter%5Bticket_discount_mode%5D=percentage&filter%5Bticket_discount_fixed%5D=123.20&filter%5Bticket_discount_percentage%5D=10&filter%5Bticket_discount_action%5D=business&filter%5Bticket_discount_days%5D=12&filter%5Btransfer_auto_disabled%5D=&filter%5Bprotest%5D=%7B%22status%22%3A%22PENDING%22%7D&filter%5BticketIdIn%5D%5B%5D=&filter%5BidOldIn%5D%5B%5D=100&filter%5BreferenceId%5D=REF-001&filter%5BemptyProtest%5D=1&filter%5BprotestIdIn%5D%5B%5D=1&filter%5Bunpaid%5D=1&filter%5Boverdue%5D=1&filter%5Bearly%5D=1&filter%5BcontractIn%5D%5B%5D=1&filter%5BcontractIdIn%5D%5B%5D=&filter%5BbuildingIn%5D%5B%5D=10&filter%5BbuildingId2In%5D%5B%5D=&filter%5BdateMin%5D=2024-01-01&filter%5BdateMax%5D=2024-01-31&filter%5BdueDateMin%5D=2024-01-10&filter%5BbusinessIn%5D%5B%5D=1&filter%5BaccountIn%5D%5B%5D=3&filter%5BpayerIn%5D%5B%5D=5&filter%5BownerIn%5D%5B%5D=7&filter%5BtenantIn%5D%5B%5D=9&filter%5Bregistered%5D=1&filter%5BregisteredOrPix%5D=1&filter%5BbillingMethodIn%5D%5B%5D=&filter%5BtagIn%5D%5B%5D=100&filter%5BautoTransferStatus%5D%5B%5D=&filter%5BperiodContains%5D=2024-01-15&filter%5BpayerTaxIdIn%5D%5B%5D=000.000.000-00&include%5Bitems%5D=dignissimos&include%5BitemsPayer%5D=in&include%5BitemsAllGroupTransfer%5D=sunt&include%5BitemsAll%5D=quo&include%5BautoTransactions%5D=velit&include%5Bbuilding%5D=assumenda&include%5Bbilling%5D=asperiores&include%5Bpayer%5D=id%2Cname%2Ctype&include%5Baccount%5D=aspernatur&include%5Bcontract%5D=%2A&include%5Bbusiness%5D=id%2Cname&include%5BlateFeeItem%5D=eveniet&include%5Bfiles%5D=id%2Cname%2Cfile_name&include%5Btags%5D=id%2Cdescription&include%5Bmessages%5D=id%2Ctype%2CMessage" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/invoices
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/invoices" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"type\": \"single\",
    \"payer_id\": 1,
    \"business_id\": 3,
    \"account_id\": 4,
    \"description\": \"Fatura X\",
    \"total\": 1200,
    \"date\": \"2024-01-01\",
    \"due_date\": \"2024-01-10\",
    \"items\": [
        {
            \"item_id\": 34,
            \"amount\": 1200
        }
    ],
    \"contract_id\": 2,
    \"billing_id\": 5,
    \"billing_method\": \"pix\",
    \"paid\": false,
    \"paid_at\": \"2024-01-01\",
    \"credit_at\": \"2024-01-02\",
    \"payment_error\": true,
    \"guaranteed_transfer\": true,
    \"period_initial\": \"2024-01-01\",
    \"period_final\": \"2024-01-31\",
    \"tag\": [
        123,
        456,
        789
    ],
    \"ticket_registered\": false,
    \"ticket_date\": \"2024-01-01 00:00:00\",
    \"ticket_key\": \"abc123\",
    \"ticket_id\": 1,
    \"ticket_fee\": \"12.0\",
    \"ticket_link\": \"https:\\/\\/api.pjbank.com.br\\/boletos\\/823a8ee8043b3a96e2df963bead9gg63e5ea16c1\",
    \"ticket_barcode\": \"12395828200001760000010003821587100516853008\",
    \"ticket_info\": \"Este boleto...\",
    \"ticket_digitable\": \"12390.01007 03821.587106 05168.530086 5 82820000176000\",
    \"ticket_without_pix\": false,
    \"ticket_late_fee\": true,
    \"ticket_late_fee_item_id\": 1,
    \"ticket_late_fee_percentage\": 12,
    \"ticket_late_fee_interest\": 13,
    \"ticket_discount\": true,
    \"ticket_discount_mode\": \"percentage\",
    \"ticket_discount_fixed\": \"123.20\",
    \"ticket_discount_percentage\": \"10\",
    \"ticket_discount_action\": \"business\",
    \"ticket_discount_days\": 12,
    \"transfer_auto_disabled\": false,
    \"protest\": \"{\\\"status\\\":\\\"PENDING\\\"}\"
}"

Obter

GET
https://api.apresenta.me/invoices/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da Fatura

Example:
4

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,type,total
include[items]
string
Example:
eum
include[itemsPayer]
string
Example:
provident
include[itemsAllGroupTransfer]
string
Example:
deserunt
include[itemsAll]
string
Example:
laboriosam
include[autoTransactions]
string
Example:
et
include[building]
string
Example:
atque
include[billing]
string
Example:
asperiores
include[payer]
string

Retorna os dados do pagador.

Example:
id,name,type
include[account]
string
Example:
ut
include[contract]
string

Retorna os dados do contrato.

Example:
*
include[business]
string

Retorna os dados da empresa.

Example:
id,name
include[lateFeeItem]
string
Example:
ea
include[files]
string

Retorna os anexos da fatura.

Example:
id,name,file_name
include[tags]
string

Retorna as tags.

Example:
id,description
include[messages]
string

Retorna as mensagens referente à fatura.

Example:
id,type,message
Example request:
curl --request GET \
    --get "https://api.apresenta.me/invoices/4?sort=id&fields=id%2Ctype%2Ctotal&include%5Bitems%5D=eum&include%5BitemsPayer%5D=provident&include%5BitemsAllGroupTransfer%5D=deserunt&include%5BitemsAll%5D=laboriosam&include%5BautoTransactions%5D=et&include%5Bbuilding%5D=atque&include%5Bbilling%5D=asperiores&include%5Bpayer%5D=id%2Cname%2Ctype&include%5Baccount%5D=ut&include%5Bcontract%5D=%2A&include%5Bbusiness%5D=id%2Cname&include%5BlateFeeItem%5D=ea&include%5Bfiles%5D=id%2Cname%2Cfile_name&include%5Btags%5D=id%2Cdescription&include%5Bmessages%5D=id%2Ctype%2Cmessage" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Alterar

PUT
PATCH
https://api.apresenta.me/invoices/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

Id da Fatura

Example:
5

Body Parameters

Example request:
curl --request PUT \
    "https://api.apresenta.me/invoices/5" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"type\": \"single\",
    \"payer_id\": 1,
    \"contract_id\": 2,
    \"business_id\": 3,
    \"account_id\": 4,
    \"billing_id\": 5,
    \"billing_method\": \"pix\",
    \"paid\": false,
    \"paid_at\": \"2024-01-01\",
    \"credit_at\": \"2024-01-02\",
    \"payment_error\": true,
    \"description\": \"Fatura X\",
    \"total\": 1200,
    \"date\": \"2024-01-01\",
    \"due_date\": \"2024-01-10\",
    \"items\": null,
    \"guaranteed_transfer\": true,
    \"period_initial\": \"2024-01-01\",
    \"period_final\": \"2024-01-31\",
    \"tag\": [
        123,
        456,
        789
    ],
    \"ticket_registered\": false,
    \"ticket_date\": \"2024-01-01 00:00:00\",
    \"ticket_key\": \"abc123\",
    \"ticket_id\": 1,
    \"ticket_fee\": \"12.0\",
    \"ticket_link\": \"https:\\/\\/api.pjbank.com.br\\/boletos\\/823a8ee8043b3a96e2df963bead9gg63e5ea16c1\",
    \"ticket_barcode\": \"12395828200001760000010003821587100516853008\",
    \"ticket_info\": \"Este boleto...\",
    \"ticket_digitable\": \"12390.01007 03821.587106 05168.530086 5 82820000176000\",
    \"ticket_without_pix\": false,
    \"ticket_late_fee\": true,
    \"ticket_late_fee_item_id\": 1,
    \"ticket_late_fee_percentage\": 12,
    \"ticket_late_fee_interest\": 13,
    \"ticket_discount\": true,
    \"ticket_discount_mode\": \"percentage\",
    \"ticket_discount_fixed\": \"123.20\",
    \"ticket_discount_percentage\": \"10\",
    \"ticket_discount_action\": \"business\",
    \"ticket_discount_days\": 12,
    \"transfer_auto_disabled\": false,
    \"protest\": \"{\\\"status\\\":\\\"PENDING\\\"}\"
}"

Excluir

DELETE
https://api.apresenta.me/invoices/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID da Fatura

Example:
7

Body Parameters

Example request:
curl --request DELETE \
    "https://api.apresenta.me/invoices/7" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"removeLiquidated\": true,
    \"removeWithFiscalNote\": true
}"

Contas a Pagar e Receber


Pesquisar

GET
https://api.apresenta.me/transactions
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,type,total
filter[id]
string

ID do lançamento.

Example:
1
filter[company_id]
integer

ID da empresa.

Example:
1
filter[split]
string

Filtra lançamentos por ID de agrupamento

Example:
50
filter[invoice_id]
integer

ID da fatura.

Example:
1
filter[transfer_id]
integer

ID da transferência.

Example:
1
filter[morph_key]
string

Chave do módulo.

Example:
invoice
filter[mode]
string

Modo do lançamento. Valores permitidos:

  • transaction: Lançamentos
  • invoice: Faturas
  • transfer: Repasses
  • commission: Comissões
  • transfer_commission: Repasses de Comissões
  • guaranteed_rent: Aluguel Garantido
  • chargeback: Estornos
Example:
transaction
filter[type]
string

Tipo do lançamento. Valores permitidos:

  • debit: Despesa
  • credit: Crédito
  • transfer: Transferência
Example:
debit
filter[account_id]
integer

ID da conta bancária.

Example:
1
filter[business_id]
integer

ID da empresa.

Example:
1
filter[plan_id]
integer

ID do plano de contas.

Example:
1
filter[user_id]
integer

ID do usuário.

Example:
1
filter[item_id]
integer

ID do item.

Example:
1
filter[guaranteed_transfer_id]
integer

ID da transferência garantida.

Example:
1
filter[person_id]
integer

ID da pessoa.

Example:
1
filter[building_id]
integer

ID do imóvel.

Example:
1
filter[contract_id]
integer

ID do contrato.

Example:
1
filter[broker_id]
integer

ID do corretor.

Example:
1
filter[owner_id]
integer

ID do proprietário.

Example:
1
filter[tenant_id]
integer

ID do inquilino.

Example:
1
filter[extract]
string

Extrato. Valores permitidos:

  • business: Imobiliária/Empresa
  • owner: Proprietário
  • customer: Cliente
  • broker: Corretor/Vendedor
Example:
owner
filter[date]
string

date Data do lançamento.

Example:
2024-01-01
filter[position]
integer

Posição.

Example:
1
filter[amount]
string

decimal Valor.

Example:
100.00
filter[amount_primary]
string

decimal Valor original.

Example:
100.00
filter[percentage]
string

decimal Porcentagem.

Example:
10.00
filter[competence]
string

date Competência.

Example:
2024-01-01
filter[description]
string

Descrição.

Example:
Conta de Luz
filter[paid]
boolean

Filtra lançamentos pagos

Example:
1
filter[due_date]
string

date Data de vencimento.

Example:
2024-01-10
filter[billing_method]
string

Método de cobrança. Valores permitidos:

  • ticket: Boleto
  • cash: Dinheiro
  • deposit: Depósito
  • pix: PIX
  • ted: DOC/TED
  • credit: Cartão de Crédito
  • debit: Cartão de Débito
  • check: Cheque
  • debit_account: Débito em Conta
Example:
pix
filter[onlyVisible]
boolean

Filtra apenas lançamentos visíveis

Example:
1
filter[transfer]
boolean

Filtra lançamentos do modo transferência

Example:
1
filter[brokerTransfer]
boolean

Filtra lançamentos do modo transferência de comissão

Example:
1
filter[autoTransfer]
boolean

Filtra lançamentos de transferência automática

Example:
1
filter[manualTransfer]
boolean

Filtra lançamentos de transferência manual

Example:
1
filter[bill]
boolean

Filtra lançamentos relacionados a contas a pagar

Example:
1
filter[guaranteedTransferIn][]
integer[]

Filtra lançamentos por IDs de transferência garantida

Example:
5
filter[haveTransfer][]
integer[]

Filtra lançamentos que possuem as transferências com os IDs especificados

Example:
10
filter[personIn][]
integer[]

Filtra lançamentos por IDs de pessoa

Example:
1
filter[tenantIn][]
integer[]

Filtra lançamentos por IDs de inquilino

Example:
3
filter[ownerIn][]
integer[]

Filtra lançamentos por IDs de proprietário

Example:
5
filter[ownerPlan]
boolean

Filtra lançamentos com plano de contas de proprietário

Example:
1
filter[brokerPlan]
boolean

Filtra lançamentos com plano de contas de corretor

Example:
1
filter[tenantPlan]
boolean

Filtra lançamentos com plano de contas de inquilino

Example:
1
filter[brokerIn][]
integer[]

Filtra lançamentos por IDs de corretor

Example:
7
filter[buildingIn][]
integer[]

Filtra lançamentos por IDs de imóvel

Example:
9
filter[accountIn][]
integer[]

Filtra lançamentos por IDs de conta financeira

Example:
1
filter[businessIn][]
integer[]

Filtra lançamentos por IDs de empresa

Example:
1
filter[businessAllowedIn][]
integer[]

Filtra lançamentos por IDs de empresas permitidas

Example:
1
filter[itemIn][]
integer[]

Filtra lançamentos por IDs de item

Example:
100
filter[status]
string

Filtra lançamentos por status (paid ou unpaid)

Example:
paid
filter[invoiceStatus]
string

Filtra lançamentos por status da fatura (paid, unpaid, overdue, in_protest, refunded, partially_paid, canceled ou uncollectible)

Example:
unpaid
filter[unpaid]
boolean

Filtra lançamentos não pagos

Example:
1
filter[paidOrGuaranteed]
boolean

Filtra lançamentos pagos ou com repasse garantido

Example:
1
filter[typeIn][]
integer[]

Filtra lançamentos por tipos (credit, debit, transfer)

filter[typeInvoiceIn][]
string[]

Filtra lançamentos por tipo de fatura (geralmente credit)

filter[modeIn][]
string[]

Filtra lançamentos por modos

filter[itemType][]
string[]

Filtra lançamentos por tipo de item

filter[contractTypeIn][]
string[]

Filtra lançamentos por tipo de contrato

filter[planIn][]
integer[]

Filtra lançamentos por IDs de plano de contas

Example:
10
filter[planAllIn][]
integer[]

Filtra lançamentos por IDs de plano de contas (incluindo pais)

Example:
10
filter[contractIn][]
integer[]

Filtra lançamentos por IDs de contrato

Example:
1
filter[contractIdIn][]
integer[]

Filtra lançamentos por IDs de contrato (id2)

Example:
1
filter[contractActiveIn][]
integer[]

Filtra lançamentos por status de atividade do contrato

filter[invoiceIn][]
integer[]

Filtra lançamentos por IDs de fatura

Example:
200
filter[isNotInvoice]
boolean

Filtra lançamentos que não são faturas

Example:
1
filter[invoiceIdIn][]
integer[]

Filtra lançamentos por IDs de fatura (id2)

filter[positionMin]
integer

Filtra lançamentos por posição mínima (timestamp + position)

Example:
1678886400
filter[positionMax]
integer

Filtra lançamentos por posição máxima (timestamp + position)

Example:
1678972800
filter[onlyAllowed]
boolean

Filtra lançamentos permitidos ao usuário logado

Example:
1
filter[billingMethodIn][]
string[]

Filtra lançamentos por métodos de cobrança. Valores comuns incluem pix, bank_transfer, etc.

filter[ticketRegister]
string

Filtra lançamentos por registro de ticket (registered ou unregistered)

Example:
registered
filter[onlyInvoice]
boolean

Filtra apenas lançamentos que são faturas

Example:
1
filter[itemListOwnerReport]
boolean

Filtra lançamentos para relatório do proprietário

Example:
1
filter[extractIn][]
string[]

Filtra lançamentos por extrato

filter[overdue]
boolean

Filtra lançamentos vencidos

Example:
1
filter[early]
boolean

Filtra lançamentos a vencer

Example:
1
filter[forBusiness]
boolean

Filtra lançamentos do extrato da empresa

Example:
1
filter[forOwner]
boolean

Filtra lançamentos do extrato do proprietário

Example:
1
filter[forBroker]
boolean

Filtra lançamentos do extrato do corretor

Example:
1
filter[forTenant]
boolean

Filtra lançamentos do extrato do inquilino

Example:
1
filter[forPayer]
boolean

Filtra lançamentos do extrato do pagador

Example:
1
filter[tagIn][]
integer[]

Filtra lançamentos por tags

Example:
1
filter[invoiceTypeIn]
boolean

Filtra lançamentos por tipo de fatura 'single'

Example:
1
filter[paidGuaranteedOrTransfer]
boolean

Filtra lançamentos pagos, garantidos ou de transferência

Example:
1
filter[billIdIn][]
integer[]

Filtra lançamentos por IDs de contas a pagar

Example:
300
filter[billPayment]
boolean

Filtra lançamentos relacionados a pagamentos de contas

Example:
1
filter[brokerCommission]
boolean

Filtra lançamentos de comissão do corretor logado

Example:
1
filter[invoicePaidIn]
string

Filtra lançamentos por status de pagamento da fatura (paid ou unpaid)

Example:
paid
include[item]
string

Retorna os dados do item da transação.

Example:
id,description
include[commissionItem]
string

Retorna os dados do item de comissão.

Example:
id,description
include[contract]
string

Retorna os dados do contrato.

Example:
id,number
include[owner]
string

Retorna os dados do proprietário.

Example:
id,name
include[person]
string

Retorna os dados da pessoa.

Example:
id,name
include[tenant]
string

Retorna os dados do inquilino.

Example:
id,name
include[building]
string

Retorna os dados do imóvel.

Example:
id,name
include[account]
string

Retorna os dados da conta financeira.

Example:
id,name
include[plan]
string

Retorna os dados do plano de contas.

Example:
id,name
include[invoice]
string

Retorna os dados da fatura.

Example:
id,number
include[files]
string

Retorna os anexos da transação.

Example:
id,name,file_name
include[tags]
string

Retorna as tags.

Example:
id,description
include[transferredBy]
string

Retorna as transações que geraram esta transferência.

Example:
id,amount
include[transferredItems]
string

Retorna os itens transferidos.

Example:
id,amount
Example request:
curl --request GET \
    --get "https://api.apresenta.me/transactions?sort=id&fields=id%2Ctype%2Ctotal&filter%5Bid%5D=1&filter%5Bcompany_id%5D=1&filter%5Bsplit%5D=50&filter%5Binvoice_id%5D=1&filter%5Btransfer_id%5D=1&filter%5Bmorph_key%5D=invoice&filter%5Bmode%5D=transaction&filter%5Btype%5D=debit&filter%5Baccount_id%5D=1&filter%5Bbusiness_id%5D=1&filter%5Bplan_id%5D=1&filter%5Buser_id%5D=1&filter%5Bitem_id%5D=1&filter%5Bguaranteed_transfer_id%5D=1&filter%5Bperson_id%5D=1&filter%5Bbuilding_id%5D=1&filter%5Bcontract_id%5D=1&filter%5Bbroker_id%5D=1&filter%5Bowner_id%5D=1&filter%5Btenant_id%5D=1&filter%5Bextract%5D=owner&filter%5Bdate%5D=2024-01-01&filter%5Bposition%5D=1&filter%5Bamount%5D=100.00&filter%5Bamount_primary%5D=100.00&filter%5Bpercentage%5D=10.00&filter%5Bcompetence%5D=2024-01-01&filter%5Bdescription%5D=Conta+de+Luz&filter%5Bpaid%5D=1&filter%5Bdue_date%5D=2024-01-10&filter%5Bbilling_method%5D=pix&filter%5BonlyVisible%5D=1&filter%5Btransfer%5D=1&filter%5BbrokerTransfer%5D=1&filter%5BautoTransfer%5D=1&filter%5BmanualTransfer%5D=1&filter%5Bbill%5D=1&filter%5BguaranteedTransferIn%5D%5B%5D=5&filter%5BhaveTransfer%5D%5B%5D=10&filter%5BpersonIn%5D%5B%5D=1&filter%5BtenantIn%5D%5B%5D=3&filter%5BownerIn%5D%5B%5D=5&filter%5BownerPlan%5D=1&filter%5BbrokerPlan%5D=1&filter%5BtenantPlan%5D=1&filter%5BbrokerIn%5D%5B%5D=7&filter%5BbuildingIn%5D%5B%5D=9&filter%5BaccountIn%5D%5B%5D=1&filter%5BbusinessIn%5D%5B%5D=1&filter%5BbusinessAllowedIn%5D%5B%5D=1&filter%5BitemIn%5D%5B%5D=100&filter%5Bstatus%5D=paid&filter%5BinvoiceStatus%5D=unpaid&filter%5Bunpaid%5D=1&filter%5BpaidOrGuaranteed%5D=1&filter%5BtypeIn%5D%5B%5D=&filter%5BtypeInvoiceIn%5D%5B%5D=&filter%5BmodeIn%5D%5B%5D=&filter%5BitemType%5D%5B%5D=&filter%5BcontractTypeIn%5D%5B%5D=&filter%5BplanIn%5D%5B%5D=10&filter%5BplanAllIn%5D%5B%5D=10&filter%5BcontractIn%5D%5B%5D=1&filter%5BcontractIdIn%5D%5B%5D=1&filter%5BcontractActiveIn%5D%5B%5D=&filter%5BinvoiceIn%5D%5B%5D=200&filter%5BisNotInvoice%5D=1&filter%5BinvoiceIdIn%5D%5B%5D=&filter%5BpositionMin%5D=1678886400&filter%5BpositionMax%5D=1678972800&filter%5BonlyAllowed%5D=1&filter%5BbillingMethodIn%5D%5B%5D=&filter%5BticketRegister%5D=registered&filter%5BonlyInvoice%5D=1&filter%5BitemListOwnerReport%5D=1&filter%5BextractIn%5D%5B%5D=&filter%5Boverdue%5D=1&filter%5Bearly%5D=1&filter%5BforBusiness%5D=1&filter%5BforOwner%5D=1&filter%5BforBroker%5D=1&filter%5BforTenant%5D=1&filter%5BforPayer%5D=1&filter%5BtagIn%5D%5B%5D=1&filter%5BinvoiceTypeIn%5D=1&filter%5BpaidGuaranteedOrTransfer%5D=1&filter%5BbillIdIn%5D%5B%5D=300&filter%5BbillPayment%5D=1&filter%5BbrokerCommission%5D=1&filter%5BinvoicePaidIn%5D=paid&include%5Bitem%5D=id%2Cdescription&include%5BcommissionItem%5D=id%2Cdescription&include%5Bcontract%5D=id%2Cnumber&include%5Bowner%5D=id%2Cname&include%5Bperson%5D=id%2Cname&include%5Btenant%5D=id%2Cname&include%5Bbuilding%5D=id%2Cname&include%5Baccount%5D=id%2Cname&include%5Bplan%5D=id%2Cname&include%5Binvoice%5D=id%2Cnumber&include%5Bfiles%5D=id%2Cname%2Cfile_name&include%5Btags%5D=id%2Cdescription&include%5BtransferredBy%5D=id%2Camount&include%5BtransferredItems%5D=id%2Camount" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
                                                            cache-control
                                                            : no-cache, private
                                                                                                                    content-type
                                                            : application/json
                                                                                                                    access-control-allow-origin
                                                            : *
                                                         
{
    "return": false,
    "message": "Este recurso não foi encontrado.",
    "status": 404,
    "errors": []
}

Criar

POST
https://api.apresenta.me/transactions
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

Body Parameters

Example request:
curl --request POST \
    "https://api.apresenta.me/transactions" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"description\": \"Pagamento de aluguel\",
    \"amount\": 1500,
    \"amount_primary\": 1500,
    \"date\": \"2024-03-20\",
    \"type\": \"credit\",
    \"mode\": \"transaction\",
    \"plan_id\": 11,
    \"business_id\": 6,
    \"account_id\": 1,
    \"person_id\": 1,
    \"building_id\": 1,
    \"contract_id\": 1,
    \"owner_id\": 1,
    \"tenant_id\": 1,
    \"broker_id\": 1,
    \"item_id\": 1,
    \"invoice_id\": 1,
    \"tag\": [
        1,
        2
    ],
    \"notes\": \"Observação importante\",
    \"paid\": true,
    \"due_date\": \"2024-03-20\",
    \"billing_method\": \"pix\",
    \"interest\": 10,
    \"discount\": 10,
    \"check_agency\": \"1234\",
    \"check_account\": \"12345-6\",
    \"check_id\": \"123456\",
    \"recurrency_periodicity\": \"monthly\",
    \"recurrency_total\": 12,
    \"recurrency_installment\": 1,
    \"commission\": true,
    \"commission_mode\": \"fixed\",
    \"commission_fixed\": 100,
    \"commission_percentage\": 10,
    \"commission_item_id\": 1,
    \"commission_id\": 1,
    \"metadata\": \"{\\\"key\\\": \\\"value\\\"}\"
}"

Obter

GET
https://api.apresenta.me/transactions/{id}
Copiado!
📋
requires authentication

Headers

Authorization
Example:
Bearer {YOUR_AUTH_KEY}
Content-Type
Example:
application/json
Accept
Example:
application/json

URL Parameters

id
integer
required

ID do lançamento

Example:
19

Query Parameters

sort
string

Campo para ordenar os registros

Example:
id
fields
string

Lista de campos separados por vírgula sem espaço para incluir na resposta

Example:
id,type,total
include[item]
string

Retorna os dados do item da transação.

Example:
id,description
include[commissionItem]
string

Retorna os dados do item de comissão.

Example:
id,description
include[contract]
string

Retorna os dados do contrato.

Example:
id,number
include[owner]
string

Retorna os dados do proprietário.

Example:
id,name
include[person]
string

Retorna os dados da pessoa.

Example:
id,name
include[tenant]
string

Retorna os dados do inquilino.

Example:
id,name
include[building]
string

Retorna os dados do imóvel.

Example:
id,name
include[account]
string

Retorna os dados da conta financeira.

Example:
id,name
include[plan]
string

Retorna os dados do plano de contas.

Example:
id,name
include[invoice]
string

Retorna os dados da fatura.

Example:
id,number
include[files]
string

Retorna os anexos da transação.

Example:
id,name,file_name
include[tags]
string

Retorna as tags.

Example:
id,description
include[transferredBy]
string

Retorna as transações que geraram esta transferência.

Example:
id,amount
include[transferredItems]
string

Retorna os itens transferidos.

Example:
id,amount
Example request:
curl --request GET \
    --get "https://api.apresenta.me/transactions/19?sort=id&fields=id%2Ctype%2Ctotal&include%5Bitem%5D=id%2Cdescription&include%5BcommissionItem%5D=id%2Cdescription&include%5Bcontract%5D=id%2Cnumber&include%5Bowner%5D=id%2Cname&include%5Bperson%5D=id%2Cname&include%5Btenant%5D=id%2Cname&include%5Bbuilding%5D=id%2Cname&include%5Baccount%5D=id%2Cname&include%5Bplan%5D=id%2Cname&include%5Binvoice%5D=id%2Cnumber&include%5Bfiles%5D=id%2Cname%2Cfile_name&include%5Btags%5D=id%2Cdescription&include%5BtransferredBy%5D=id%2Camount&include%5BtransferredItems%5D=id%2Camount" \
    --header "Authorization: Bearer {YOUR_AUTH_KEY}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"
Example response:
Headers
[...]
